org.apache.lucene.util.packed

## Class BlockPackedReader

- java.lang.Object
- - org.apache.lucene.util.packed.BlockPackedReader

-     public final class BlockPackedReader
      extends Object

  Provides random access to a stream written with `BlockPackedWriter`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockPackedReader(IndexInput in, int packedIntsVersion, int blockSize, long valueCount, boolean direct)` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `get(long index)` Get value at `index`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockPackedReader

          public BlockPackedReader(IndexInput in,
                           int packedIntsVersion,
                           int blockSize,
                           long valueCount,
                           boolean direct)
                            throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public long get(long index)

      Get value at `index`.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.